'use strict';

import {Branch} from '../models';
import {logToDiscord} from '../core/utils';

export default async function run(): Promise<void> {
    logToDiscord('Performing full import');
    const branches = await Branch.query();
    await Promise.all(branches.map((branch: Branch) => branch.importPages()));
}
